device_type: device
job_name: device first tests

timeouts:
  job:
    minutes: 15
  action:
    minutes: 5
  connection:
    minutes: 2
priority: medium
visibility: public

actions:
- boot:
    method: u-boot
    commands: tftp
    type: uimage
    prompts:
    - '# '
    auto_login:
      login_prompt: 'localhost login: '
      username: root
    timeout:
      minutes: 2

- test:
    timeout:
      minutes: 5
    definitions:
    - repository: https://github.com/Benj/test_platform.git
      skip_install:
      - deps
      from: git
      path: jobs/test-shell/test_shell_01.yaml
      name: first_shell_job
